Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Utilities for internationalization and localization.
Name:      	gettext
Version:   	0.17
Release:   	1
License: 	GNU/GPL
URL:		http://www.gnu.org/software/gettext/
Group:     	System/Internationalization
Source0: 	gettext-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
PreReq:		/sbin/install-info
# FIXME
Provides:       libgettextlib-0.15.so
Provides:       libgettextsrc-0.15.so
Provides:       libgnuintl.so.8
Provides:       gettext
# /FIXME
BuildRequires:	glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib	

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs. Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings. Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

%package	devel
Summary: 	gettext development headers.
Group:     	System/Internationalization
Requires: 	gettext = %{version}-%{release}

%description	devel
Header and include files for developing applications with gettext.

%post
/sbin/install-info %_infodir/gettext.info.gz %_infodir/dir
/sbin/install-info %_infodir/autosprintf.info.gz %_infodir/dir
ldconfig

%postun
ldconfig

%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %_infodir/gettext.info.gz %_infodir/dir
     /sbin/install-info --del %_infodir/autosprintf.info.gz %_infodir/dir
fi

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --disable-java --disable-native-java
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%_infodir/dir
ln -s %_libdir/preloadable_libintl.so $RPM_BUILD_ROOT%_libdir/libintl.so
# FIXME : compatibility link - remove if dependend packages are recompiled
ln -s %_libdir/libgettextlib-0.17.so $RPM_BUILD_ROOT%_libdir/libgettextlib-0.15.so
ln -s %_libdir/libgettextpo.so.0.4.0 $RPM_BUILD_ROOT%_libdir/libgettextpo.so.0.2.0
ln -s %_libdir/libgettextsrc-0.17.so $RPM_BUILD_ROOT%_libdir/libgettextsrc-0.15.so
#ln -s %_libdir/libgnuintl.so.8 $RPM_BUILD_ROOT%_libdir/libgettextpo.so.3
# /FIXME


%files
%defattr(-,root,root)
%_bindir
%_libdir/%{name}
%_libdir/libasprintf.so
%_libdir/libasprintf.so.0
%_libdir/libasprintf.so.0.0.0
%_libdir/libgettextlib-%{version}.so
%_libdir/libgettextlib.so
%_libdir/libgettextpo.so
%_libdir/libgettextpo.so.0
%_libdir/GNU.Gettext.dll
%_libdir/libgettextpo.so.0.4.0

#FIXME
%_libdir/libgettextpo.so.0.2.0
/usr/lib/libgettextlib-0.15.so
#/usr/lib/libgettextpo.so.3
/usr/lib/libgettextsrc-0.15.so
#/FIXME
%_libdir/libgettextsrc-%{version}.so
%_libdir/libgettextsrc.so
%_libdir/libintl.so
%_libdir/preloadable_libintl.so
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/libasprintf.a
%_libdir/libasprintf.la
%_libdir/libgettextlib.la
%_libdir/libgettextpo.a
%_libdir/libgettextpo.la
%_libdir/libgettextsrc.la
%_aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Dec 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.17-1
- Version update
* Sat Sep 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.15-2
- removed java support
* Mon Aug 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.15-1
- Version update
* Sun Jun 25 2006 Christian Wasem <wasem@ccux-linux.de> 0.14.6-1
- Version update
* Wed Feb 01 2006 Christian Wasem <wasem@ccux-linux.de> 0.14.5-4
- moved *.so to main package (bad dependency behavior)
* Sun Dec 11 2005 Christian Metzen <metzench@ccux-linux.de> 0.14.5-3
- Added infofile install, moved more file to devel package
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.14.5-2
- added libintl symlink
* Tue May 24 2005 Christian Metzen <metzench@ccux-linux.de> 0.14.5-1
- Version Update to 0.14.5
* Tue Mar 16 2005 Christian Metzen <metzench@ccux-linux.de> 0.14.3-1
- Version Update to 0.14.3
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 0.14.1-1
- Initial Release
